Bug 1580463 - OSP12 - Container configuration generation fails if the host file system is xfs that was created with ftype=0 [NEEDINFO]
Summary: OSP12 - Container configuration generation fails if the host file system is x...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-validations
Version: 12.0 (Pike)
Hardware: All
OS: All
urgent
urgent
Target Milestone: z3
: 12.0 (Pike)
Assignee: Carlos Camacho
QA Contact: nlevinki
URL:
Whiteboard:
Depends On: 1564671 1575115
Blocks: 1580469 1580476
TreeView+ depends on / blocked
 
Reported: 2018-05-21 14:20 UTC by Carlos Camacho
Modified: 2018-08-20 12:54 UTC (History)
26 users (show)

Fixed In Version: openstack-tripleo-validations-7.4.6-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1575115
: 1580469 (view as bug list)
Environment:
Last Closed: 2018-08-20 12:53:41 UTC
Target Upstream Version:
jamsmith: needinfo? (ccamacho)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1765121 None None None 2018-05-21 14:20:11 UTC
Red Hat Product Errata RHBA-2018:2521 None None None 2018-08-20 12:54:38 UTC

Comment 6 Artem Hrechanychenko 2018-07-05 13:36:19 UTC
VERIFIED


openstack-tripleo-validations-7.4.9-1.el7ost.noarch

[stack@undercloud-0 ~]$ openstack workflow execution create tripleo.validations.v1.run_validation '{"validation_name": "check-ftype"}'  -f json
{
  "Task Execution ID": "<none>", 
  "Description": "", 
  "Workflow name": "tripleo.validations.v1.run_validation", 
  "Created at": "2018-07-05 13:25:14", 
  "State": "RUNNING", 
  "State info": null, 
  "Updated at": "2018-07-05 13:25:14", 
  "ID": "0ec1f954-b254-4972-b2c9-2f6ad90a48d3", 
  "Workflow ID": "a19bd4c4-b5b1-4050-9fd7-9a00502a2c35"

(undercloud) [stack@undercloud-0 ~]$ mistral execution-get-output 0ec1f954-b254-4972-b2c9-2f6ad90a48d3
/usr/lib/python2.7/site-packages/requests/packages/urllib3/connection.py:344: SubjectAltNameWarning: Certificate for 192.168.24.2 has no `subjectAltName`, falling back to check for a `commonName` for now. This feature is being removed by major browsers and deprecated by RFC 2818. (See https://github.com/shazow/urllib3/issues/497 for details.)
  SubjectAltNameWarning
/usr/lib/python2.7/site-packages/requests/packages/urllib3/connection.py:344: SubjectAltNameWarning: Certificate for 192.168.24.2 has no `subjectAltName`, falling back to check for a `commonName` for now. This feature is being removed by major browsers and deprecated by RFC 2818. (See https://github.com/shazow/urllib3/issues/497 for details.)
  SubjectAltNameWarning
{
    "status": "SUCCESS", 
    "stderr": "[DEPRECATION WARNING]: DEFAULT_SUDO_FLAGS option, In favor of become which is a\n generic framework . This feature will be removed in version 2.8. Deprecation \nwarnings can be disabled by setting deprecation_warnings=False in ansible.cfg.\n", 
    "stdout": "Success! The validation passed for all hosts:\n* 192.168.24.10\n* 192.168.24.11\n* 192.168.24.13\n* 192.168.24.17\n* 192.168.24.18\n* 192.168.24.19\n* 192.168.24.21\n* 192.168.24.22\n* 192.168.24.6\n* localhost\n"



(undercloud) [stack@undercloud-0 ~]$ ssh heat-admin@192.168.24.21
[heat-admin@controller-0 ~]$ dd if=/dev/zero of=~/wakawaka.img bs=100M count=10
10+0 records in
10+0 records out
1048576000 bytes (1.0 GB) copied, 5.76143 s, 182 MB/s
[heat-admin@controller-0 ~]$ du -sh ~/wakawaka.img 
1000M	/home/heat-admin/wakawaka.img
[heat-admin@controller-0 ~]$ sudo sudo losetup -fP ~/wakawaka.img
[heat-admin@controller-0 ~]$ sudo mkfs.xfs -n ftype=0 -m crc=0 ~/wakawaka.img -f
meta-data=/home/heat-admin/wakawaka.img isize=256    agcount=4, agsize=64000 blks
         =                       sectsz=512   attr=2, projid32bit=1
         =                       crc=0        finobt=0, sparse=0
data     =                       bsize=4096   blocks=256000, imaxpct=25
         =                       sunit=0      swidth=0 blks
naming   =version 2              bsize=4096   ascii-ci=0 ftype=0
log      =internal log           bsize=4096   blocks=853, version=2
         =                       sectsz=512   sunit=0 blks, lazy-count=1
realtime =none                   extsz=4096   blocks=0, rtextents=0
[heat-admin@controller-0 ~]$ mkdir ~/fs_test
[heat-admin@controller-0 ~]$ sudo mount ~/wakawaka.img ~/fs_test
[heat-admin@controller-0 ~]$ exit
logout
Connection to 192.168.24.21 closed.
(undercloud) [stack@undercloud-0 ~]$ openstack workflow execution create tripleo.validations.v1.run_validation '{"validation_name": "check-ftype"}'  -f json
{
  "Task Execution ID": "<none>", 
  "Description": "", 
  "Workflow name": "tripleo.validations.v1.run_validation", 
  "Created at": "2018-07-05 13:29:42", 
  "State": "RUNNING", 
  "State info": null, 
  "Updated at": "2018-07-05 13:29:42", 
  "ID": "be6e8e27-6dda-48b8-94f1-e9780219f38d", 
  "Workflow ID": "a19bd4c4-b5b1-4050-9fd7-9a00502a2c35"

(undercloud) [stack@undercloud-0 ~]$  mistral execution-get-output be6e8e27-6dda-48b8-94f1-e9780219f38d
/usr/lib/python2.7/site-packages/requests/packages/urllib3/connection.py:344: SubjectAltNameWarning: Certificate for 192.168.24.2 has no `subjectAltName`, falling back to check for a `commonName` for now. This feature is being removed by major browsers and deprecated by RFC 2818. (See https://github.com/shazow/urllib3/issues/497 for details.)
  SubjectAltNameWarning
/usr/lib/python2.7/site-packages/requests/packages/urllib3/connection.py:344: SubjectAltNameWarning: Certificate for 192.168.24.2 has no `subjectAltName`, falling back to check for a `commonName` for now. This feature is being removed by major browsers and deprecated by RFC 2818. (See https://github.com/shazow/urllib3/issues/497 for details.)
  SubjectAltNameWarning
{
    "status": "FAILED", 
    "result": null, 
    "stderr": "[DEPRECATION WARNING]: DEFAULT_SUDO_FLAGS option, In favor of become which is a\n generic framework . This feature will be removed in version 2.8. Deprecation \nwarnings can be disabled by setting deprecation_warnings=False in ansible.cfg.\n", 
    "stdout": "Task 'Check ftype' failed:\nHost: 192.168.24.21\nMessage: XFS volumes formatted using ftype=0 are incompatible with the docker overlayfs driver. Run xfs_info in controller-0.localdomain and fix those volumes before proceeding with the upgrade.\n\n\nFailure! The validation failed for hosts:\n* 192.168.24.21\nand passed for hosts:\n* 192.168.24.10\n* 192.168.24.11\n* 192.168.24.13\n* 192.168.24.17\n* 192.168.24.18\n* 192.168.24.19\n* 192.168.24.22\n* 192.168.24.6\n* localhost\n"
}

Comment 9 errata-xmlrpc 2018-08-20 12:53:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2521


Note You need to log in before you can comment on or make changes to this bug.